Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.command
Class NewProcessInstanceCommand

    java.lang.Object
      org.jbpm.command.NewProcessInstanceCommand

All Implemented Interfaces:
  java.io.Serializable, Command

Direct Known Subclasses:
  StartProcessInstanceCommand

    public class NewProcessInstanceCommand

extends java.lang.Object
implements Command

Graph command to start a new process and create a task instance if the start node has a start task definition. The result of this command, if requested, is a `Long` value containing the process instance id.

Author:
  Jim Rigsbee, Tom Baeyens, Bernd Ruecker
See Also:
  Serialized Form

Constructor Summary
`NewProcessInstanceCommand()`
`NewProcessInstanceCommand(java.lang.String processDefinitionName)`

Method Summary
`java.lang.Object` | `execute(JbpmContext jbpmContext)` return the id of the newly created process instance.
`java.lang.String` | `getActorId()`
`java.lang.String` | `getKey()`
`long` | `getProcessId()`
`java.lang.String` | `getProcessName()`
`java.util.Map` | `getVariables()`
`boolean` | `isCreateStartTask()`
`void` | `setActorId(java.lang.String actorId)`
`void` | `setCreateStartTask(boolean createStartTask)`
`void` | `setKey(java.lang.String key)`
`void` | `setProcessId(long processId)`
`void` | `setProcessName(java.lang.String processName)`
`void` | `setVariables(java.util.Map variables)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewProcessInstanceCommand

    public NewProcessInstanceCommand()

### NewProcessInstanceCommand

    public NewProcessInstanceCommand(java.lang.String processDefinitionName)

Method Detail

### execute

    public java.lang.Object execute(JbpmContext jbpmContext)
                             throws java.lang.Exception

  return the id of the newly created process instance.

  Specified by:
    `execute` in interface `Command`
  Throws:
    `java.lang.Exception`

### getActorId

    public java.lang.String getActorId()

### setActorId

    public void setActorId(java.lang.String actorId)

### getProcessId

    public long getProcessId()

### setProcessId

    public void setProcessId(long processId)

### getProcessName

    public java.lang.String getProcessName()

### setProcessName

    public void setProcessName(java.lang.String processName)

### isCreateStartTask

    public boolean isCreateStartTask()

### setCreateStartTask

    public void setCreateStartTask(boolean createStartTask)

### getVariables

    public java.util.Map getVariables()

### setVariables

    public void setVariables(java.util.Map variables)

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD